export declare type FallbackOutputFormat = {
    /**
     * @description
     * Query Param: f2
     * Query Param Title: Fallback Format
     *
     * Converts the image to GIF when `f` cannot be used (e.g. due to the 16383×16383 output limit for WebP).
     */
    type: "gif";
} | {
    /**
     * @description
     * Query Param: f2
     * Query Param Title: Fallback Format
     *
     * Converts the image to JPEG when `f` cannot be used (e.g. due to the 16383×16383 output limit for WebP).
     */
    type: "jpeg";
} | {
    /**
     * @description
     * Query Param: f2
     * Query Param Title: Fallback Format
     *
     * Alias for `f2=jpeg`.
     */
    type: "jpg";
} | {
    /**
     * @description
     * Query Param: f2
     * Query Param Title: Fallback Format
     *
     * Converts the image to PNG when `f` cannot be used (e.g. due to the 16383×16383 output limit for WebP).
     */
    type: "png";
} | {
    /**
     * @description
     * Query Param: f2
     * Query Param Title: Fallback Format
     *
     * Converts the image to WebP when `f` cannot be used.
     */
    type: "webp";
} | {
    /**
     * @description
     * Query Param: f2
     * Query Param Title: Fallback Format
     *
     * Converts the image to AVIF when `f` cannot be used (e.g. due to the 16383×16383 output limit for WebP).
     */
    type: "avif";
};
